org.eclipse.oomph.setup.log

## Interface ProgressLog

- All Known Subinterfaces:
    SetupTaskContext

      public interface ProgressLog

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AtomicReference<ProgressLog>` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCanceled()`
    `void` | `log(IStatus status)`
    `void` | `log(String line)`
    `void` | `log(String line, boolean filter)`
    `void` | `log(Throwable t)`
    `void` | `setTerminating()`
    `void` | `task(SetupTask setupTask)`

- - ### Field Detail

    - #### INSTANCE

          static final AtomicReference<ProgressLog> INSTANCE

  - ### Method Detail

    - #### isCanceled

          boolean isCanceled()

    - #### log

          void log(String line)

    - #### log

          void log(String line,
                 boolean filter)

    - #### log

          void log(IStatus status)

    - #### log

          void log(Throwable t)

    - #### task

          void task(SetupTask setupTask)

    - #### setTerminating

          void setTerminating()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html